# config.nu
#
# Installed by:
# version = "0.102.0"
#
# This file is used to override default Nushell settings, define
# (or import) custom commands, or run any other startup tasks.
# See https://www.nushell.sh/book/configuration.html
#
# This file is loaded after env.nu and before login.nu
#
# You can open this file in your default editor using:
# config nu
#
# See `help config nu` for more options
#
# You can remove these comments if you want or leave
# them for future reference.

# you have to oh-my-posh init nu --config <path to theme>
# after that you can -->
source ~/.oh-my-posh.nu

# you have to zoxide init nushell | safe -f ~/.zoxide.nu
# after that you can -->
source ~/.zoxide.nu

$env.config.history.file_format = "sqlite"
$env.config.history.max_size = 5_000_000
$env.config.history.sync_on_enter = true
$env.config.history.isolation = false

$env.config.show_banner = true

$env.config.completions.algorithm = "prefix"
$env.config.completions.sort = "smart"
$env.config.completions.case_sensitive = false
$env.config.completions.quick = true

$env.config.error_style = "fancy"
$env.config.display_errors.exit_code = true

$env.config.datetime_format.normal = "%y.%m.%d %H:%M:%S%"
